/***************************************************************************
 *   Copyright (C) 2003 by Stephen Allewell                                *
 *   stephen@mirramar.fsnet.co.uk                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef PATTERNFILE_H
#define PATTERNFILE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qstring.h>
#include <qptrlist.h>
#include "librarypattern.h"

#define LIBVERSION 1

class KXStitchDragObject;

class PatternFile
{
public:
  PatternFile(QString path);
  ~PatternFile();

  bool isWritable();
  void addPattern(LibraryPattern *pattern);
  void addPattern(KXStitchDragObject *pattern);
  void deletePattern( LibraryPattern *pattern);
  LibraryPattern *first();
  LibraryPattern *next();
  QString path();
  QString localFile();

private:
  void readFile();
  void writeFile();
  bool hasChanged();

  bool m_read;
  bool m_changed;
  QString m_path;
  QPtrList<LibraryPattern> m_patterns;
};

#endif
